{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function next_key, send_event, msg, security_check\r\ndeclare subroutine security_err_msg, delete_row\r\n$insert security_rights_equ\r\n\r\nif security_check( 'Recipe', Write$ ) then\r\n    * save off all data\r\n    AllControls = utility( 'OBJECTLIST', @window, '' )\r\n    convert @fm to @rm in AllControls\r\n    AllData = get_property( Allcontrols, 'TEXT' )\r\n    LimitInfo = .limit_info->list\r\n    DiskInfo  = .disk_info->array\r\n    CBCheck   = .cap_burst->check\r\n\tChoice = send_event( @window, 'CLEAR' )\r\n\tif Choice = '' then\r\n\t    * if choice has a value then the user has canceled \r\n\t\topen 'RECIPE' to RecipeTableVar else\r\n\t\t    Void = msg( '', 'Unable to open RECIPE...' )\r\n\t\t    return 0\r\n\t\tend\r\n\t\tNextRecipeKey = next_key( 'RECIPE', RecipeTableVar, 'NEXT', '' )\r\n\t\t.recipe_no->text = NextRecipeKey\r\n\t\tunlock RecipeTableVar, NextRecipeKey else\r\n\t\t    Void = msg( '', 'Unable to unlock RECIPE ':NextRecipeKey )\r\n\t\t    return 0\r\n\t\tend\r\n\t\tVoid = send_event( @window:'.RECIPE_NO', 'LOSTFOCUS' )\r\n\t\tVoid = set_property( AllControls, 'TEXT', AllData )\r\n\t\t.recipe_no->text = NextRecipeKey\r\n\t\t.entry_date->text = oconv( date(), 'D2/' )\r\n\t\t.entry_id->text   = oconv( @user4, '[XLATE_CONV,LSL_USERS*FIRST_LAST]' )\r\n\t\tLimitInfo = LimitInfo<1> ;* ONLY RETURN THE TOP ROW OF LIMITS\r\n\t\tLimitInfo<1,1> = '' ;* AND BLANK OUT THE PSN\r\n\t\t.limit_info->list  = LimitInfo\r\n\t\t.disk_info->array  = DiskInfo\r\n        .cap_burst->check  = CBCheck\r\n        .cap_burst_gases->enabled = CBCheck\r\n\t\tVoid = set_property( @window, 'RECORD', RecToUse )\r\n\t\t@@window->savewarn = 1\r\n    end\r\nend else\r\n    security_err_msg( 'Recipe', Write$ )\r\nend\r\nRETURN 0"
        }
    }
}